UpdateScriptDetails¶
- class oci.apm_synthetics.models.UpdateScriptDetails(**kwargs)¶
Bases:
objectDetails of the request body used to update a script. Only Side, JavaScript and Playwright TypeScript content types are supported and content should be in Side, JavaScript and TypeScript formats only.
Attributes:
A constant which can be used with the content_type property of a UpdateScriptDetails.
A constant which can be used with the content_type property of a UpdateScriptDetails.
A constant which can be used with the content_type property of a UpdateScriptDetails.
Gets the content of this UpdateScriptDetails.
Gets the content_file_name of this UpdateScriptDetails.
Gets the content_type of this UpdateScriptDetails.
Gets the defined_tags of this UpdateScriptDetails.
Gets the display_name of this UpdateScriptDetails.
Gets the freeform_tags of this UpdateScriptDetails.
Gets the parameters of this UpdateScriptDetails.
Methods:
__init__(**kwargs)Initializes a new UpdateScriptDetails object with values from keyword arguments.
- CONTENT_TYPE_JS = 'JS'¶
A constant which can be used with the content_type property of a UpdateScriptDetails. This constant has a value of “JS”
- CONTENT_TYPE_PLAYWRIGHT_TS = 'PLAYWRIGHT_TS'¶
A constant which can be used with the content_type property of a UpdateScriptDetails. This constant has a value of “PLAYWRIGHT_TS”
- CONTENT_TYPE_SIDE = 'SIDE'¶
A constant which can be used with the content_type property of a UpdateScriptDetails. This constant has a value of “SIDE”
- __init__(**kwargs)¶
Initializes a new UpdateScriptDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
display_name (str) – The value to assign to the display_name property of this UpdateScriptDetails.
content_type (str) – The value to assign to the content_type property of this UpdateScriptDetails. Allowed values for this property are: “SIDE”, “JS”, “PLAYWRIGHT_TS”
content (str) – The value to assign to the content property of this UpdateScriptDetails.
content_file_name (str) – The value to assign to the content_file_name property of this UpdateScriptDetails.
parameters (list[oci.apm_synthetics.models.ScriptParameter]) – The value to assign to the parameters property of this UpdateScriptDetails.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this UpdateScriptDetails.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this UpdateScriptDetails.
- property content¶
Gets the content of this UpdateScriptDetails. The content of the script. It may contain custom-defined tags that can be used for setting dynamic parameters. The format to set dynamic parameters is: <ORAP><ON>param name</ON><OV>param value</OV><OS>isParamValueSecret(true/false)</OS></ORAP>. Param value and isParamValueSecret are optional, the default value for isParamValueSecret is false. Examples: With mandatory param name : <ORAP><ON>param name</ON></ORAP> With parameter name and value : <ORAP><ON>param name</ON><OV>param value</OV></ORAP> Note that the content is valid if it matches the given content type. For example, if the content type is SIDE, then the content should be in Side script format. If the content type is JS, then the content should be in JavaScript format. If the content type is PLAYWRIGHT_TS, then the content should be in TypeScript format.
- Returns
The content of this UpdateScriptDetails.
- Return type
str
- property content_file_name¶
Gets the content_file_name of this UpdateScriptDetails. File name of uploaded script content.
- Returns
The content_file_name of this UpdateScriptDetails.
- Return type
str
- property content_type¶
Gets the content_type of this UpdateScriptDetails. Content type of script.
Allowed values for this property are: “SIDE”, “JS”, “PLAYWRIGHT_TS”
- Returns
The content_type of this UpdateScriptDetails.
- Return type
str
- property defined_tags¶
Gets the defined_tags of this UpdateScriptDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. Example: {“foo-namespace”: {“bar-key”: “value”}}
- Returns
The defined_tags of this UpdateScriptDetails.
- Return type
dict(str, dict(str, object))
- property display_name¶
Gets the display_name of this UpdateScriptDetails. Unique name that can be edited. The name should not contain any confidential information.
- Returns
The display_name of this UpdateScriptDetails.
- Return type
str
- property freeform_tags¶
Gets the freeform_tags of this UpdateScriptDetails. Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: {“bar-key”: “value”}
- Returns
The freeform_tags of this UpdateScriptDetails.
- Return type
dict(str, str)
- property parameters¶
Gets the parameters of this UpdateScriptDetails. List of script parameters. Example: [{“paramName”: “userid”, “paramValue”:”testuser”, “isSecret”: false}]
- Returns
The parameters of this UpdateScriptDetails.
- Return type